package com.agenda.model;
// Generated 12-12-2019 01:41:24 PM by Hibernate Tools 5.2.12.Final

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * FechasEspeciales generated by hbm2java
 */
@Entity
@Table(name = "fechas_especiales", catalog = "agenda")
@SuppressWarnings("serial")
public class FechasEspeciales implements java.io.Serializable {

	private int id;
	private Date fecha;

	public FechasEspeciales() {
	}

	public FechasEspeciales(int id, Date fecha) {
		this.id = id;
		this.fecha = fecha;
	}

	@Id

	@Column(name = "id", unique = true, nullable = false)
	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	@Temporal(TemporalType.DATE)
	@Column(name = "fecha", nullable = false, length = 10)
	public Date getFecha() {
		return this.fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}

}
